// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace PyBinding.Gui {
    
    
    public partial class PythonOptionsWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.Label label1;
        
        private Gtk.Alignment alignment1;
        
        private Gtk.Table table1;
        
        private Gtk.Label label2;
        
        private Gtk.Entry m_ModuleEntry;
        
        private Gtk.CheckButton m_OptimizeCheckBox;
        
        private Gtk.Label label3;
        
        private Gtk.Alignment alignment2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView m_PathsTreeView;
        
        private Gtk.VBox vbox2;
        
        private Gtk.Button m_AddPathButton;
        
        private Gtk.Button m_RemovePathButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget PyBinding.Gui.PythonOptionsWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "PyBinding.Gui.PythonOptionsWidget";
            // Container child PyBinding.Gui.PythonOptionsWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.Xalign = 0F;
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("<span weight=\"bold\">Runtime</span>");
            this.label1.UseMarkup = true;
            this.vbox1.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox1[this.label1]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment1 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment1.Name = "alignment1";
            this.alignment1.LeftPadding = ((uint)(12));
            // Container child alignment1.Gtk.Container+ContainerChild
            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Default module:");
            this.table1.Add(this.label2);
            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.table1[this.label2]));
            w2.XOptions = ((Gtk.AttachOptions)(4));
            w2.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.m_ModuleEntry = new Gtk.Entry();
            this.m_ModuleEntry.CanFocus = true;
            this.m_ModuleEntry.Name = "m_ModuleEntry";
            this.m_ModuleEntry.IsEditable = true;
            this.m_ModuleEntry.InvisibleChar = '●';
            this.table1.Add(this.m_ModuleEntry);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table1[this.m_ModuleEntry]));
            w3.LeftAttach = ((uint)(1));
            w3.RightAttach = ((uint)(2));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.m_OptimizeCheckBox = new Gtk.CheckButton();
            this.m_OptimizeCheckBox.CanFocus = true;
            this.m_OptimizeCheckBox.Name = "m_OptimizeCheckBox";
            this.m_OptimizeCheckBox.Label = Mono.Unix.Catalog.GetString("Optimize byte-code output");
            this.m_OptimizeCheckBox.DrawIndicator = true;
            this.m_OptimizeCheckBox.UseUnderline = true;
            this.table1.Add(this.m_OptimizeCheckBox);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table1[this.m_OptimizeCheckBox]));
            w4.TopAttach = ((uint)(1));
            w4.BottomAttach = ((uint)(2));
            w4.RightAttach = ((uint)(2));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            this.alignment1.Add(this.table1);
            this.vbox1.Add(this.alignment1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment1]));
            w6.Position = 1;
            w6.Expand = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("<span weight=\"bold\">Paths</span>");
            this.label3.UseMarkup = true;
            this.vbox1.Add(this.label3);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox1[this.label3]));
            w7.Position = 2;
            w7.Expand = false;
            w7.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment2 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment2.Name = "alignment2";
            this.alignment2.LeftPadding = ((uint)(12));
            // Container child alignment2.Gtk.Container+ContainerChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Sensitive = false;
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            Gtk.Viewport w8 = new Gtk.Viewport();
            w8.ShadowType = ((Gtk.ShadowType)(0));
            // Container child GtkViewport.Gtk.Container+ContainerChild
            this.m_PathsTreeView = new Gtk.TreeView();
            this.m_PathsTreeView.CanFocus = true;
            this.m_PathsTreeView.Name = "m_PathsTreeView";
            w8.Add(this.m_PathsTreeView);
            this.scrolledwindow1.Add(w8);
            this.hbox1.Add(this.scrolledwindow1);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox1[this.scrolledwindow1]));
            w11.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.m_AddPathButton = new Gtk.Button();
            this.m_AddPathButton.CanFocus = true;
            this.m_AddPathButton.Name = "m_AddPathButton";
            this.m_AddPathButton.UseStock = true;
            this.m_AddPathButton.UseUnderline = true;
            this.m_AddPathButton.Label = "gtk-add";
            this.vbox2.Add(this.m_AddPathButton);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox2[this.m_AddPathButton]));
            w12.Position = 0;
            w12.Expand = false;
            w12.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.m_RemovePathButton = new Gtk.Button();
            this.m_RemovePathButton.CanFocus = true;
            this.m_RemovePathButton.Name = "m_RemovePathButton";
            this.m_RemovePathButton.UseStock = true;
            this.m_RemovePathButton.UseUnderline = true;
            this.m_RemovePathButton.Label = "gtk-remove";
            this.vbox2.Add(this.m_RemovePathButton);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox2[this.m_RemovePathButton]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            this.hbox1.Add(this.vbox2);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox1[this.vbox2]));
            w14.Position = 1;
            w14.Expand = false;
            w14.Fill = false;
            this.alignment2.Add(this.hbox1);
            this.vbox1.Add(this.alignment2);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment2]));
            w16.Position = 3;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
